# Dokumentation

Eine auflistung von allen Funktionen und API-Endpunkten mit Erklärung.

- User
- Einkaufsliste
- Zutaten
- Einheiten

---

## User

### User erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/user

BODY
{
  "username": "Benutzername",
  "email": "email",
  "password": "Passwort"
}
```

### Aktueller User ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/user
```

### Login
```shell
POST 127.0.0.1/DirektiveDesDons/login

BODY
{
  "username": "Benutzername",
  "password": "Passwort"
}
```

---

## Einkaufsliste

### Einkaufsliste erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/list

BODY
{
  "name": "Einkaufsliste 1",
  "backgoundColor": "#123"
}
```

### Einkauslisten ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/list
```

### Einkaufsliste ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/list/1
```

### Einkaufsliste löschen
```shell
DELETE 127.0.0.1/DirektiveDesDons/list/1
```

### Zutat zu Einkaufsliste hinzufügen
```shell
POST 127.0.0.1/DirektiveDesDons/list/1

BODY
{
  "ingredientId": 1
}
```

### Zutat von Liste löschen
```shell
DELETE 127.0.0.1/DirektiveDesDons/list/1/4
```

---

## Zutaten

### Zutaten erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/ingredient

BODY
{
  "name": "Nüsse",
  "calories": "123",
  "quantity": "5",
  "unit": "st",
  "price": "12.5"
}
```

### Zutaten ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/ingredient
```

### Zutat ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/ingredient/1
```

### Zutat löschen
```shell
DELETE 127.0.0.1/DirektiveDesDons/ingredient/1
```

### Zutat ändern
```shell
PUT 127.0.0.1/DirektiveDesDons/ingredient/3

BODY
{
  "name": "Nüsse",
  "calories": "123",
  "quantity": "5",
  "unit": "st",
  "price": "13.5"
}
```

---

## MengenEinheiten

### Einheiten auflisten
```shell
GET 127.0.0.1/DirektiveDesDons/unit
```

### Einheit Erstellen
```shell
POST 127.0.0.1/DirektiveDesDons/unit

BODY
{
  "name": "lbs"
}
```

### Einheit ausgeben
```shell
GET 127.0.0.1/DirektiveDesDons/unit/4
```

###Einheit ändern
```shell
PUT 127.0.0.1/DirektiveDesDons/unit/4

BODY
{
  "name":"Tonne"
}
```

### Einheit löschen
```shell
DELETE 127.0.0.1/DirektiveDesDons/unit/4
```